Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.shared.services.impl
Class VFSFileServiceImpl

    java.lang.Object
      org.jbpm.shared.services.impl.VFSFileServiceImpl

All Implemented Interfaces:
  FileService

    @Singleton
    public class VFSFileServiceImpl

extends Object
implements FileService

Constructor Summary
`VFSFileServiceImpl()`

Method Summary
`void` | `copy(org.kie.commons.java.nio.file.Path source, org.kie.commons.java.nio.file.Path dest)`
`org.kie.commons.java.nio.file.Path` | `createDirectory(org.kie.commons.java.nio.file.Path path)`
`org.kie.commons.java.nio.file.Path` | `createFile(org.kie.commons.java.nio.file.Path path)`
`boolean` | `deleteIfExists(org.kie.commons.java.nio.file.Path path)`
`boolean` | `exists(org.kie.commons.java.nio.file.Path file)`
`void` | `fetchChanges()`
`protected org.kie.commons.io.IOService` | `getIOService()`
`org.kie.commons.java.nio.file.Path` | `getPath(String path)`
`void` | `init()`
`Iterable<org.kie.commons.java.nio.file.Path>` | `listDirectories(org.kie.commons.java.nio.file.Path path)`
`byte[]` | `loadFile(org.kie.commons.java.nio.file.Path file)`
`Iterable<org.kie.commons.java.nio.file.Path>` | `loadFilesByType(org.kie.commons.java.nio.file.Path path, String fileType)`
`void` | `move(org.kie.commons.java.nio.file.Path source, org.kie.commons.java.nio.file.Path dest)`
`OutputStream` | `openFile(org.kie.commons.java.nio.file.Path path)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VFSFileServiceImpl

    public VFSFileServiceImpl()

Method Detail

### init

    @PostConstruct
    public void init()

  Specified by:
    `init` in interface `FileService`

### fetchChanges

    public void fetchChanges()

  Specified by:
    `fetchChanges` in interface `FileService`

### loadFile

    public byte[] loadFile(org.kie.commons.java.nio.file.Path file)
                    throws FileException

  Specified by:
    `loadFile` in interface `FileService`
  Throws:
    `FileException`

### loadFilesByType

    public Iterable<org.kie.commons.java.nio.file.Path> loadFilesByType(org.kie.commons.java.nio.file.Path path,
                                                                        String fileType)

  Specified by:
    `loadFilesByType` in interface `FileService`

### listDirectories

    public Iterable<org.kie.commons.java.nio.file.Path> listDirectories(org.kie.commons.java.nio.file.Path path)

  Specified by:
    `listDirectories` in interface `FileService`

### getPath

    public org.kie.commons.java.nio.file.Path getPath(String path)

  Specified by:
    `getPath` in interface `FileService`

### exists

    public boolean exists(org.kie.commons.java.nio.file.Path file)

  Specified by:
    `exists` in interface `FileService`

### move

    public void move(org.kie.commons.java.nio.file.Path source,
                     org.kie.commons.java.nio.file.Path dest)

  Specified by:
    `move` in interface `FileService`

### copy

    public void copy(org.kie.commons.java.nio.file.Path source,
                     org.kie.commons.java.nio.file.Path dest)

  Specified by:
    `copy` in interface `FileService`

### createDirectory

    public org.kie.commons.java.nio.file.Path createDirectory(org.kie.commons.java.nio.file.Path path)

  Specified by:
    `createDirectory` in interface `FileService`

### createFile

    public org.kie.commons.java.nio.file.Path createFile(org.kie.commons.java.nio.file.Path path)

  Specified by:
    `createFile` in interface `FileService`

### deleteIfExists

    public boolean deleteIfExists(org.kie.commons.java.nio.file.Path path)

  Specified by:
    `deleteIfExists` in interface `FileService`

### openFile

    public OutputStream openFile(org.kie.commons.java.nio.file.Path path)

  Specified by:
    `openFile` in interface `FileService`

### getIOService

    protected org.kie.commons.io.IOService getIOService()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.